
Installer - Bug #29186

Use grub2 from grub2-efi-x64-cdboot package on Red Hats

02/26/2020 03:02 PM - Lukas Zapletal

Status: New   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We copy grub2 file from grub2-efi-x64 package but we should be using grub2-efi-x64-cdboot (file /boot/efi/EFI/centos/gcdx64.efi) to

comply with the CDROM environment. This build of grub2 has its base (root) directory set to /EFI/BOOT which is a better fit for

network booting.

Related issues:

Related to Smart Proxy - Bug #29185: Change HTTP Boot module root path to /EF... Ready For Testing

Related to Installer - Bug #29187: Create /EFI/BOOT -> /grub2 symlink within ... New

Related to Foreman - Tracker #29207: [TRACKER] IPv6 DHCP provisioning New

History

#1 - 02/26/2020 03:04 PM - Lukas Zapletal

- Related to Bug #29185: Change HTTP Boot module root path to /EFI/BOOT added

#2 - 02/26/2020 03:04 PM - Lukas Zapletal

- Related to Bug #29187: Create /EFI/BOOT -> /grub2 symlink within TFTP directory added

#3 - 02/27/2020 03:34 PM - Lukas Zapletal

- Related to Tracker #29207: [TRACKER] IPv6 DHCP provisioning added
